Loading...
Searching...
No Matches
Point2.cpp File Reference

2D Point More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

double | gtsam::norm2 (const Point2 &p, OptionalJacobian< 1, 2 > H=boost::none)
| Distance of the point from the origin, with Jacobian.
double | gtsam::distance2 (const Point2 &p1, const Point2 &q, OptionalJacobian< 1, 2 > H1=boost::none, OptionalJacobian< 1, 2 > H2=boost::none)
| distance between two points
boost::optional< Point2 > | gtsam::circleCircleIntersection (double R_d, double r_d, double tol)
list< Point2 > | gtsam::circleCircleIntersection (Point2 c1, Point2 c2, boost::optional< Point2 > fh)
list< Point2 > | gtsam::circleCircleIntersection (Point2 c1, double r1, Point2 c2, double r2, double tol=1e-9)
| Intersect 2 circles.
Point2Pair | gtsam::means (const std::vector< Point2Pair > &abPointPairs)
| Calculate the two means of a set of Point2 pairs.
ostream & | gtsam::operator<< (ostream &os, const gtsam::Point2Pair &p)

## Detailed Description

2D Point

Author
  Frank Dellaert